Subject: Ticket Assigned - Query about order: 6138014455
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 19 Apr 2022 04:55:29 +0000

Hi Rosette Modiri,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Query about order: 6138014455 Hi,

I placed an order today for Click & Collect and decided to prepay via card.
My card was charges the amount of the order however an hour later I got an
email saying that the order cannot be processed and my card has not been
charged.
What can I do about it now?
I am attaching the relevant screenshots as well.

Ilsa Khan Baqai
Riyadh, Saudi Arabia.
+966 553 884 350

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4195108